main {
    background-color: var(--border-light);
    color: var(--dark-forest-green);
}

/* Hero Section */
.produce-container {
    padding: 50px 20px;
    background: var(--border-light);
    color: var(--dark-forest-green);
    border-top: 1px solid #ccc;
}

/* Produce Grid */
.produce-btns {
    display: flex;
    flex-wrap: wrap;
    margin-top: 40px;
}

.produce-btns a {
    border-radius: 40px;
    cursor: pointer;
    text-transform: capitalize;
    padding-top: .345rem;
    padding-bottom: .345rem;
    padding-left: 1rem;
    padding-right: 1rem;
    color: var(--dark-forest-green);
    border: 1px solid #ddd;
    margin-bottom: 10px;
}

.produce-btns a:not(:last-child) {
    margin-right: 10px;
}

.produce-btns a.active {
    background-color: var(--dark-forest-green);
    color: var(--bg-white);
    border: 1px solid var(--dark-forest-green);
    box-shadow: 0 0 8px rgba(0,0,0,0.05);
}

.produce-grid {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

.produce-card {
    background-color: var(--bg-white);
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0px 5px 10px 5px rgba(0,0,0,0.05);
    text-align: center;
    width: 310px;
    margin: 10px;
}

.produce-image {
    position: relative;
    height: auto;
    overflow: hidden;
}

.produce-video-controls {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100%;
    border-radius: 5px;
    transition: transform 0.3s ease, opacity 0.3s ease;
}

.produce-video-controls span {
    position: absolute;
    top: 10px;
    left: 10px;
    background-color: var(--bg-white);
    color: var(--dark-forest-green);
    border-radius: 40px;
    font-size: .854rem;
    padding: 10px;
}

.produce-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.produce-details {
    padding: 20px 20px 0px 20px;
    text-align: left;
}

.produce-title {
    margin-top: 0px;
    font-size: 1rem !important;
    text-transform: capitalize;
    font-weight: 600;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.produce-card p {
    margin-bottom: 10px;
    font-size: .954rem;
}

.produce-details a {
    color: var(--leaf-green) !important;
    margin-bottom: 0px;
}

.produce-action-btns {
    display: flex;
    flex-wrap: wrap;
    padding: 10px 20px;
}

.produce-action-btns a {
    border-radius: 20px;
    cursor: pointer;
    text-transform: capitalize;
    padding-top: .345rem;
    padding-bottom: .345rem;
    padding-left: 1rem;
    padding-right: 1rem;
    outline: none;
    font-size: .945rem;
}

.add-to-cart {
    background-color: var(--dark-forest-green);
    border: 1px solid var(--dark-forest-green);
    color: var(--bg-white);
    margin-right: 10px;
}

.add-to-cart:hover {
    color: var(--bg-white);
    font-weight: 600;
}

.order-now {
    color: var(--dark-forest-green);
    border: 1px solid #ddd;
}

.produce-pagnation {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-left: 0px;
    margin-top: 20px;
}

.produce-pagnation button {
    padding: 6px 12px;
    margin: 8px;
    border-radius: 5px;
    color: var(--text-muted);
    border: 1px solid #ddd;
    outline: none;
    cursor: pointer;
    font-size: 1rem;
}

.produce-pagnation button.active {
    background-color: var(--dark-forest-green);
    border: 1px solid var(--dark-forest-green);
    color: var(--bg-white);
}

/* CTA */
.cta-wholesale {
    text-align: center;
    padding: 50px 20px;
}

/* product reviews */
.product-reviews-box {
    position: fixed;
    top: 0;
    bottom: 0;  
    z-index: 9999;
    transition: 0.3s;
    transform: scale(1);
    background-color: hsl(150 30% 12%/ .4);
    width: 100%;
    height: 100%;
    display: none;
    align-items: center;
    justify-content: center;
}

.review-content {
    background-color: var(--bg-white);
    border-radius: 10px;
    width: 500px;
}

.product-review-header {
    display: flex;
    align-items: top;
    justify-content: space-between;
    padding: 10px;
    margin: 10px;
    border-bottom: 1px solid #ddd;
}

.product-review-header h2 {
    font-size: 1.5rem;
    font-weight: normal;
    letter-spacing: 1px;
    text-transform: capitalize;
    margin-bottom: 0px;
}

.product-review-header svg {
    height: 20px;
    width: 20px;
    cursor: pointer;
}

.product-review-grid {
    padding: 10px;
    height: 150px;
    overflow-x: auto;
}

.review-item {
    border-radius: 10px;
}

.review-item:not(:last-child) {
    margin-bottom: 20px;
    border-bottom: 1px dotted #ccc;
}

.review-header {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.review-image {
    height: 100%;
    margin-right: 10px;
}

.review-image p {
    background-color: var(--dark-forest-green);
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: capitalize;
    color: var(--bg-white);
    border-radius: 50%;
    height: 40px;
    width: 40px;
    font-weight: 600;
    font-size: 1rem;
    margin-bottom: 0px;
}

.review-user-name h3 {
    font-weight: normal;
    font-size: .754rem;
    letter-spacing: 2px;
    margin-bottom: 0px;
}

.review-user-name span {
    color: var(--text-muted);
    font-size: .854rem;
}

.review-desc {
    padding: 10px;
    color: var(--text-muted);
}

.review-desc p {
    margin-bottom: 5px;
    font-size: .954rem;
    color: var(--text-muted);
    display: flex;
    align-items: center;
}

.product-review-comment {
    padding: 0px 10px;
    border-radius: 10px;
}

.review-form {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding-top: 10px;
}

.review-form textarea {
    height: 100px;
    resize: none;
    background-color: var(--bg-white);
    border: none;
    outline: none;
    border-radius: 5px;
    padding: 10px;
    font-size: 1rem;
    border: 0.6px solid #ccc;
}

.review-form textarea::placeholder {
    font-size: .854rem;
    text-transform: capitalize;
    color: #ccc;
}

.review-form button {
    padding: 12px 50px;
    background: var(--dark-forest-green);
    border: none;
    font-size: 1rem;
    color: var(--bg-white);
    cursor: pointer;
    margin: 20px 0;
    border-radius: 10px;
}

/* Show Buttons */
.show-all-menu-tabs {
    position: fixed;
    bottom: 15px;
    left: 25px;
    display: flex;
    flex-direction: column;
    z-index: 2000;
}

.show-filter-btn {
    position: relative;
    width: 45px;
    height: 45px;
    border: none;
    border-radius: 50%;
    font-size: 1.4rem;
    opacity: 1;
    background-color: var(--primary-harvest-green);
    color: var(--bg-white);
    transition: opacity 0.3s ease, transform 0.3s ease;
    margin-bottom: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.show-filter-btn svg {
    cursor: pointer;
    height: 20px;
    width: 20px;
}

.notification-total {
    position: absolute;
    top: -10px;
    left: 20px;
    border-radius: 50%;
    background-color: var(--leaf-green);
    color: var(--bg-white);
    padding: 5px;
    height: 25px;
    width: 25px;
    font-size: .754rem;
    font-weight: 600;
    text-align: center;
    display: none;
}

.notification-box {
    position: fixed;
    top: 50px;
    right: -40px;
    z-index: 2000;
    display: none;
}

.notification-close {
    margin-bottom: 5px;
}

.notification-close svg {
    float: right;
    height: 20px;
    width: 20px;
    color: var(--bg-white);
    cursor: pointer;
}

.notification-bell-cart {
    position: absolute;
    top: 30px;
    right: 60px;
    background-color: var(--dark-forest-green);
    border-radius: 10px;
    width: 250px;
    padding: 10px;
    display: grid;
}

.notification-bell-cart p {
    color: var(--bg-white);
    text-align: center;
    margin-bottom: 0px;
}

/* search popup */
.search-produce-popup {
    position: fixed;
    top: 0;
    bottom: 0;  
    z-index: 9999;
    transition: 0.3s;
    transform: scale(1);
    background-color: hsl(150 30% 12%/ .4);
    width: 100%;
    height: 100%;
    display: none;
    align-items: center;
    justify-content: center;
}

.produce-search-content {
    background-color: var(--bg-white);
    border-radius: 10px;
    padding: 20px;
    width: 500px;
    display: grid;
    height: auto;
}

.produce-search-header {
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid #ccc;
}

.produce-search-header h2 {
    font-weight: normal;
    font-size: 1.5rem;
}

.produce-search-header svg {
    float: right;
    height: 20px;
    width: 20px;
    cursor: pointer;
}

/* form */
.produce-search {
    width: 100%;
    display: flex;
    justify-content: center;
}

.produce-search-form {
    width: 70%;
    margin: 30px 10px;
}

.produce-search-form input {
    font-size: 1rem;
    width: 100%;
    padding: 10px 12px;
    border: 1px solid #ccc;
    border-radius: 10px;
    font-family: inherit;
    box-shadow: 0 5px 8px rgba(0,0,0,0.05);
    margin-bottom: 0px;
}

.produce-search-box {
    height: 250px;
    overflow-x: auto;
}

.produce-search-item:not(:first-child) {
    padding-top: 15px;
}

.produce-search-item:not(:last-child) {
    border-bottom: 1px dotted #ddd;
    padding-bottom: 5px;
}

.produce-search-box p {
    font-size: 1rem;
    margin-bottom: 0px;
    margin-bottom: 10px;
}

.produce-search-title {
    font-size: 1.3rem;
    font-weight: bold;
    text-transform: capitalize;
}

.produce-search-title span {
    color: var(--dark-forest-green);
}

.produce-search-box a {
    color: var(--primary-harvest-green);
    padding: 10px 0px;
    text-transform: capitalize;
    font-size: 1rem;
    letter-spacing: 1px;
}

.produce-search-box a:hover {
    font-weight: 600;
}

.produce-search-actions {
    display: flex;
    flex-wrap: wrap;
}

.produce-search-actions a {
    color: var(--dark-forest-green);
    display: flex;
    align-items: center;
    font-size: 1rem;
    margin-bottom: 10px;
    margin-top: 0;
}

.produce-search-actions a:not(:last-child) {
    margin-right: 20px;
}

.produce-search-actions a svg {
    height: 20px;
    width: 20px;
    margin-right: 5px;
}

.produce-search-pagnation {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-left: 0px;
    margin-top: 20px;
}

.produce-search-pagnation button {
    padding: 6px 12px;
    margin: 8px;
    border-radius: 5px;
    color: var(--text-muted);
    border: 1px solid #ddd;
    outline: none;
    cursor: pointer;
    font-size: 1rem;
}

.produce-search-pagnation button.active {
    background-color: var(--dark-forest-green);
    border: 1px solid var(--dark-forest-green);
    color: var(--bg-white);
}